[med-svn] [Git][med-team/mlv-smile][master] 3 commits: Fix gcc-10 FTBFS
Nilesh Patra
gitlab at salsa.debian.org
Thu Jul 23 16:14:51 BST 2020
Nilesh Patra pushed to branch master at Debian Med / mlv-smile
Commits:
63ce23f3 by Nilesh Patra at 2020-07-23T20:39:00+05:30
Fix gcc-10 FTBFS
- - - - -
8d76235e by Nilesh Patra at 2020-07-23T15:13:32+00:00
Add autopkgtests
- - - - -
4ce4a79f by Nilesh Patra at 2020-07-23T15:13:50+00:00
Install relevant examples
- - - - -
10 changed files:
- + debian/examples
- + debian/patches/fix-gcc-10.patch
- debian/patches/series
- + debian/tests/README
- + debian/tests/control
- + debian/tests/data/alpha
- + debian/tests/data/param1
- + debian/tests/data/param2
- + debian/tests/data/seq
- + debian/tests/run-unit-test
Changes:
=====================================
debian/examples
=====================================
@@ -0,0 +1 @@
+debian/tests/data/*
=====================================
debian/patches/fix-gcc-10.patch
=====================================
@@ -0,0 +1,15 @@
+Author: Nilesh Patra <npatra974 at gmail.com>
+Description: Append relevant attribute flag to prevent gcc-10 FTBFS
+Bug-Debian: https://bugs.debian.org/cgi-bin/bugreport.cgi?archive=no&bug=957551
+Last-Updated: July 23, 2020
+--- a/P_BLOCS/include/define.h
++++ b/P_BLOCS/include/define.h
+@@ -20,7 +20,7 @@
+ #ifndef _DEFINE_H
+ #define _DEFINE_H
+
+-int ALPHA_CARD;
++__attribute__((__common__)) int ALPHA_CARD;
+
+ #define LEAF_BIT 0x80000000
+ #define LEAF_BIT_INV 0x7FFFFFFF
=====================================
debian/patches/series
=====================================
@@ -2,3 +2,4 @@ Makefile.patch
although.patch
misc.patch
mayhem.patch
+fix-gcc-10.patch
=====================================
debian/tests/README
=====================================
@@ -0,0 +1,6 @@
+Tests for mlv-smile
+===================
+
+The data for tests has been referenced from the official manpage:
+ https://manpages.debian.org/unstable/mlv-smile/mlv-smile.1.en.html
+
=====================================
debian/tests/control
=====================================
@@ -0,0 +1,4 @@
+Tests: run-unit-test
+Depends: @
+Restrictions: allow-stderr
+
=====================================
debian/tests/data/alpha
=====================================
@@ -0,0 +1,5 @@
+Type:Nucleotides
+A
+C
+G
+T
=====================================
debian/tests/data/param1
=====================================
@@ -0,0 +1,17 @@
+EXTRACTION (Step 1) =======================================================
+FASTA file seq
+Output file results1
+
+GLOBAL PARAMETERS =============
+Alphabet file alpha //previously created
+Quorum 100
+Total min length 13
+Total max length 13
+Total substitutions 1
+Boxes 1
+Composition in ? 0
+
+
+EVALUATION (Step 2) ===================================================
+Shufflings 100
+Size k-mer 2
=====================================
debian/tests/data/param2
=====================================
@@ -0,0 +1,24 @@
+EXTRACTION (Step 1) =======================================================
+FASTA file seq
+Output file results2
+
+GLOBAL PARAMETERS =============
+Alphabet file alpha
+Quorum 100
+Total min length 11
+Total max length 11
+Total substitutions 2
+Boxes 2
+Composition in ? 0
+
+BOX 1 ================
+Min length 5
+Max length 6
+Substitutions 1
+Min spacer length 10
+Max spacer length 15
+
+BOX 2 ================
+Min length 5
+Max length 6
+Substitutions 1
=====================================
debian/tests/data/seq
=====================================
@@ -0,0 +1,4 @@
+> Seq A
+AGGCTAGTCAGGGCATGCGATCAGCAGGCATCAGGCGAGCATCGACAGCA
+> Seq B
+GGAGAGCGCAGAGCGAGCATCATCATGCAGCATCAGAGATCTTTCT
=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,23 @@
+#!/bin/bash
+set -e
+
+pkg=mlv-smile
+
+if [ "${AUTOPKGTEST_TMP}" = "" ] ; then
+ AUTOPKGTEST_TMP=$(mktemp -d /tmp/${pkg}-test.XXXXXX)
+ trap "rm -rf ${AUTOPKGTEST_TMP}" 0 INT QUIT ABRT PIPE TERM
+fi
+
+cp /usr/share/doc/${pkg}/examples/* -a "${AUTOPKGTEST_TMP}"
+
+cd "${AUTOPKGTEST_TMP}"
+gunzip -r *
+
+echo 'Test 1'
+mlv-smile param1
+cat results1
+
+echo 'Test 2'
+mlv-smile param2
+cat results2
+
View it on GitLab: https://salsa.debian.org/med-team/mlv-smile/-/compare/a2b1ab97cde21166164b32886e0fe8a6c4a56ead...4ce4a79f5fdfcca95952125d792972e4738ab96e
--
View it on GitLab: https://salsa.debian.org/med-team/mlv-smile/-/compare/a2b1ab97cde21166164b32886e0fe8a6c4a56ead...4ce4a79f5fdfcca95952125d792972e4738ab96e
You're receiving this email because of your account on salsa.debian.org.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200723/1d8f1b80/attachment-0001.html>
More information about the debian-med-commit
mailing list